import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiUserBriefResultModel(_base.BaseAPIResultModel):
    accounts: _nested.TenantStatusCountersAPIResultNM
    rgs: _nested.TenantStatusCountersAPIResultNM
    vms: _nested.VMStatusCountersAPIResultNM


class CloudapiUserBriefProtocol(_base.BasePostAPIFunctionProtocol):
    def brief(self) -> CloudapiUserBriefResultModel:
        ...
